aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/openib.eclass31
1 files changed, 31 insertions, 0 deletions
diff --git a/eclass/openib.eclass b/eclass/openib.eclass
new file mode 100644
index 000000000..f3c3292af
--- /dev/null
+++ b/eclass/openib.eclass
@@ -0,0 +1,31 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+#
+# Original Author: Alexey Shvetsov <alexxy@gentoo.org>
+# Purpose: Simplify working with OFED packages
+#
+
+HOMEPAGE="http://www.openfabrics.org/"
+LICENSE="|| ( GPL-2 BSD-2 )"
+SLOT="0"
+
+inherit rpm eutils
+
+case in ${OFED_VER}
+ 1.4*)
+ SRC_URI="http://www.openfabrics.org/downloads/OFED/ofed-1.4/OFED-1.4.tgz"
+ ;;
+esac
+
+EXPORT_FUNCTIONS src_unpack
+
+# @FUNCTION: openib_src_unpack
+# @DESCRIPTION:
+# This function will unpack OFED packages
+openib_src_unpack() {
+ unpack ${A}
+ rpm_unpack "OFED-${OFED_VER}/SRPMS/${P}-${ofs}.rpm"
+ unpack ./${P}.tar.gz
+}